package script_test

import (
	"devops/agent/script"
	"testing"
)

func TestParseOutputParams(t *testing.T) {
	outputParams, err := script.ParseOutputParams("testdata/output.env")
	if err != nil {
		t.Fatal(err)
	}

	t.Log(outputParams)
	if outputParams["key"] != "value" {
		t.Errorf("expected key=value, got %s", outputParams["key"])
	}

}
